Bug 478582 - zz-disk_space and network filesystems
zz-disk_space and network filesystems
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: logwatch (Show other bugs)
4.7
All Linux
low Severity medium
: rc
: ---
Assigned To: Karel Klíč
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 07:31 EST by Kostas Georgiou
Modified: 2013-03-03 17:59 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-22 10:16:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kostas Georgiou 2009-01-01 07:31:42 EST
zz-disk_space runs df -hP which can hung forever if an nfs server is down. Since it's also doing a grep '^/dev/' it can be changed to df -hPl to only access local file systems
Comment 1 Ivana Varekova 2009-01-05 09:00:31 EST
I'd like to ask upstream maintainers at first. So for now I'm waiting for their opinion.
Comment 2 Ivana Varekova 2009-01-06 02:26:31 EST
The problem is fixed in current rawhide version.
Comment 3 Kostas Georgiou 2009-01-06 10:40:56 EST
Is there enough time for this to end up in 4.8?
Comment 4 Ondrej Vasik 2011-02-22 10:16:10 EST
Too late for any RHEL-4 update. Closing this bugzilla WONTFIX, RHEL-4.9 is out and future async updates will contain only critical and security fixes. Problem is fixed in RHEL-5 and 6 - as the zz-disk_space script was heavily modified there.

You have reported the issue directly to bugzilla. Better way is to report RHEL bugzillas via support - as bugzilla is just bug tracking tool and not support tool. Updates of RHEL are driven by support requests - as there is always limited capacity for them. Reporting bugzilla via support increases chances of getting fix sooner.

Note You need to log in before you can comment on or make changes to this bug.